Package org.silverpeas.components.resourcesmanager.model

## Class Category

- java.lang.Object
- - org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<E,​I>
  - - org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<Category,​org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>
    - - org.silverpeas.components.resourcesmanager.model.Category

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.persistence.datasource.model.IdentifiableEntity`

      @Entity
      public class Category
      extends org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<Category,​org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Category()` |
    `Category​(Long id, String instanceId, String name, boolean bookable, String form, String createrId, String updaterId, String description)` | For tests purpose only.
    `Category​(String name, boolean bookable, String form, String description)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getCreaterId()` |
    `Date` | `getCreationDate()` |
    `String` | `getDescription()` |
    `String` | `getForm()` |
    `Long` | `getIdAsLong()` |
    `String` | `getIdAsString()` |
    `String` | `getInstanceId()` |
    `String` | `getName()` |
    `List<Resource>` | `getResources()` |
    `Date` | `getUpdateDate()` |
    `String` | `getUpdaterId()` |
    `int` | `hashCode()` |
    `boolean` | `isBookable()` |
    `void` | `performBeforePersist()` |
    `void` | `performBeforeUpdate()` |
    `void` | `setBookable​(boolean bookable)` |
    `void` | `setCreaterId​(String createrId)` |
    `void` | `setCreationDate​(Date creationDate)` |
    `void` | `setDescription​(String description)` |
    `void` | `setForm​(String form)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setName​(String name)` |
    `void` | `setResources​(List<Resource> resources)` |
    `void` | `setUpdateDate​(Date updateDate)` |
    `void` | `setUpdaterId​(String updaterId)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity

      `performBeforeRemove`

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity

      `getId, getNativeId, isPersisted, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Category

          public Category()

    - #### Category

          public Category​(String name,
                          boolean bookable,
                          String form,
                          String description)

    - #### Category

          public Category​(Long id,
                          String instanceId,
                          String name,
                          boolean bookable,
                          String form,
                          String createrId,
                          String updaterId,
                          String description)

      For tests purpose only. TODO remove this constructor in V6
      Parameters:
        `id` -
        `instanceId` -
        `name` -
        `bookable` -
        `form` -
        `createrId` -
        `updaterId` -
        `description` -

  - ### Method Detail

    - #### performBeforePersist

          public void performBeforePersist()

      Overrides:
        `performBeforePersist` in class `org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<Category,​org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>`

    - #### performBeforeUpdate

          public void performBeforeUpdate()

      Overrides:
        `performBeforeUpdate` in class `org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<Category,​org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>`

    - #### isBookable

          public boolean isBookable()

    - #### setBookable

          public void setBookable​(boolean bookable)

    - #### getCreaterId

          public String getCreaterId()

    - #### setCreaterId

          public void setCreaterId​(String createrId)

    - #### getForm

          public String getForm()

    - #### setForm

          public void setForm​(String form)

    - #### getIdAsLong

          public Long getIdAsLong()

    - #### getIdAsString

          public String getIdAsString()

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getResources

          public List<Resource> getResources()

    - #### setResources

          public void setResources​(List<Resource> resources)

    - #### getUpdaterId

          public String getUpdaterId()

    - #### setUpdaterId

          public void setUpdaterId​(String updaterId)

    - #### getCreationDate

          public Date getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(Date creationDate)

    - #### getUpdateDate

          public Date getUpdateDate()

    - #### setUpdateDate

          public void setUpdateDate​(Date updateDate)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<Category,​org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<Category,​org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`